> For the complete documentation index, see [llms.txt](https://docs.enzyme.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enzyme.finance/onyx-protocol/general-flows/fee-settlement.md).

# Fee Settlement

## Settlement

### Management and Performance Fees

{% @mermaid/diagram content="sequenceDiagram
participant VH as ValuationHandler
participant FH as FeeHandler
participant MFT as ManagementFeeTracker
participant PFT as PerformanceFeeTracker

```
Note over VH,FH: During share value update
VH->>FH: settle dynamic fees
FH->>MFT: settle management fee
MFT-->>FH: value owed
FH->>FH: increase value owed: management fee recipient
FH->>PFT: settle performance fee
PFT-->>FH: value owed
FH->>FH: increase value owed: performance fee recipient" %}
```

### Entrance Fee

{% @mermaid/diagram content="sequenceDiagram
participant DH as DepositHandler
participant FH as FeeHandler

```
Note over DH,FH: During deposit
DH->>FH: settle entrance fee
FH-->>FH: value owed = deposit value * entrance fee %
FH->>FH: increase value owed: entrance fee recipient" %}
```

### Exit Fee

{% @mermaid/diagram content="sequenceDiagram
participant RH as RedeemHandler
participant FH as FeeHandler

```
Note over RH,FH: During redeem
RH->>FH: settle exit fee
FH-->>FH: value owed = redeem value * exit fee %
FH->>FH: increase value owed: exit fee recipient" %}
```

## Distribution

{% @mermaid/diagram content="sequenceDiagram
actor Admin as Admin
participant FH as FeeHandler
participant VH as ValuationHandler
participant S as Shares
participant FR as Fee Recipient

```
Admin->>FH: distribute:<br/>- $value <br/>- $feeRecipient
FH->>FH: decrease value owed to $feeRecipient
FH->>VH: convert: $value <br/>to fee asset amount
VH-->>VH: fee asset rate
VH-->>FH: fee asset amount
FH->>S: withdraw fee asset amount to $feeRecipient
S->>FR: transfer fee asset tokens" %}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.enzyme.finance/onyx-protocol/general-flows/fee-settlement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
